%global cpan_version 1.26

Summary:        Convert strings into various Unicode normalization forms
Name:           perl-Unicode-Normalize
Version:        1.32
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Unicode-Normalize
Source0:        https://cpan.metacpan.org/authors/id/K/KH/KHW/Unicode-Normalize-%{cpan_version}.tar.gz

# From perl 5.36.0
Patch0001:      Unicode-Normalize-1.26-Upgrade-to-1.32.patch
Patch5000:      Unicode-Normalize-1.26-Upgrade-to-1.32-add-ppport.h.patch

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-devel perl-generators perl-interpreter perl-libs
BuildRequires:  perl(bytes) perl(Carp) perl(constant) perl(File::Spec) perl(SelectSaver)
BuildRequires:  perl(strict) perl(warnings) perl(Exporter) perl(XSLoader)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

%description
This package provides Perl modules Unicode::Normalize that can convert strings
into various Unicode normalization forms as defined in Unicode Standard.

%prep
%autosetup -n Unicode-Normalize-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unicode
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.32-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 ZoeDong <zoedong@tencent.com> - 1.32-1
- Initial build

